Subject: Re: bug#11832: 24.1.50; enhancement request: line truncation not dependent on fringe

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Jul 2012 20:34:22 +0300

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>
> Date: Sun, 1 Jul 2012 09:52:48 -0700
> 
> > Just for the sake of accuracy: those are not overlays (in the Emacs
> > sense).  They are special glyphs inserted by the display engine as
> > indication of line truncation.
> 
> Thank you.  I wondered about that.  I even searched the C code, but I didn't
> find any occurrence of "$" or its char number.  I just guessed that an overlay
> was used, as it did not seem to be just text in the buffer.

Search for "truncation_glyph".

> > However, if someone finds a clever solution to this dilemma, patches
> > or ideas are welcome.
> 
> Just sacrifice 100% perfection.

I understand the principle, but not the particulars.  What do you
suggest that the display engine do when it bumps into the case I
described? not display the truncation glyph in that case? something
else?

IOW, what is the solution you suggest, exactly?

> Pre-fringe Emacs (18...20) had it right.  As soon as someone added fringe we
> lost this (baby...bathwater).

As Andreas points out, the reason was not the fringe, it was the
variable-width fonts.  Emacs 20 only supported fixed fonts, so it
essentially worked as a TTY display.